{% extends 'base.html' %}

{% block content %}

    {% if alert %}
            {% if 'dublicate' in alert %}
            <div class="alert alert-warning" role="alert">
				{{ alert }}
			</div>
            {% else %}
			<div class="alert alert-danger" role="alert">
				{{ alert }}
			</div>
            {% endif %}
            {% if error %}
                <div class="alert alert-danger" role="alert">
                    {{ error }}
                </div>
            {% endif %}
    {% endif %}



<form action="/search" method="post" enctype="multipart/form-data">
    <textarea name="description" rows="5" placeholder="Введите текст для поиска">{{ description }}</textarea>
    <br>
    <br>
    <div class="button">
        <button class="add" type="submit">Найти</button>
    </div>
</form>




<div class="dublicates" {%if dict_dublicate_images=={} %} style="display: none" {% endif %} }>

    <h3>Дубликаты изображений в задачах(по id)</h3>

    {% for key,value in dict_dublicate_images.items() %}
    <div>
        {% for val in dict_dublicate_images.get(key) %}
        <a href="edit/{{ val }}/?page={{ page }}" class="anchor"> {{val}} </a>
        {% endfor %}
    </div>
    {% endfor %}

</div>


<form class="filter_form" action="/search" method="get">
    <input type="hidden" name="page" value="0">
    <input type="hidden" name="description" value="{{ description }}">
    <div class="filter">
        <h3>Cортировать по дате</h3>
        <div >
            <label>От:
                <input type="date" id="start" name="begin_date_filter" value="{{begin_date_filter}}">
            </label>
            <label>До:
                <input type="date" id="end" name="end_date_filter" value="{{end_date_filter}}"></label>
        </div>

    </div>

    <button type="submit" class="use_filter">Применить</button>
</form>

<section class="filters-by-tag">
    <h1>Сортировать по тегам</h1>

    <ol class="filters">
        <li>
            <label for="All">
                <input type="radio" id="All" name="categories" value="All">
                <a class="tag-ref" href="/search?tag=all">All</a></label>
        </li>
        <li>
            <label for="Plans">
                <input type="radio" id="Plans" name="categories" value="Plans">
                <a class="tag-ref" href="/search?tag=plans">Plans</a></label>
        </li>
        <li>
            <label for="Work">
                <input type="radio" id="Work" name="categories" value="Work">
                <a class="tag-ref" href="/search?tag=work">Work</a></label>
        </li>
        <li>
            <label for="Private">
                <input type="radio" id="Private" name="categories" value="Private">
                <a class="tag-ref" href="/search?tag=private">Private</a></label>
        </li>
        <li>
            <label for="Issues">
                <input type="radio" id="Issues" name="categories" value="Issues">
                <a class="tag-ref" href="/search?tag=issues">Issues</a></label>
        </li>
    </ol>


</section>



<div class="column">
    {% set ns = namespace() %}
    {% set ns.counter = 0 %}
    {% for todo in todos %}
    {% set ns.counter = ns.counter + 1 %}
    <div class="task">
        {% if todo.completed %}
        <details>
            <summary><strike><h3> {{ todo.title }} </h3></strike></summary>
            <p class="description">{{ todo.description }}</p>
            <h4>Дата создания</h4>
            <p class="date_of_create"> {{ todo.date_of_create }}</p>
            <h4>Дата выполнения</h4>
            <p class="date_of_create"> {{ todo.date_of_complete }}</p>
        </details>
        {% if todo.tag %}
        <span class="for-tag"> {{ todo.tag.name }}</span>
        {% endif %}
        <input class="falsebutton" onclick="submitForm({{ todo.id }})" type="button" id={{ todo.id }} value="Отменить выполнение"></input>
        {% else %}
        <details>
            <summary><h3> {{ todo.title }} </h3></summary>
            <p class="description"> {{ todo.description }}</p>
            <h4>Дата создания</h4>
            <p class="date_of_create"> {{ todo.date_of_create }}</p>
            <h4>Дата выполнения</h4>
            <p class="date_of_create"> {{ todo.date_of_complete }}</p>

            {% if todo.path_to_image %}
            <h4>Фото: </h4>
            <p class="figs"><img src={{ todo.path_to_image }} width="200" height="150" alt=""></p>
            {% endif %}

        </details>
        {% if todo.tag %}
        <span class="for-tag"> {{ todo.tag.name }}</span>
        {% endif %}
            <input class="truebutton" onclick="submitForm({{ todo.id }})" type="button" id="{{ todo.id }}" value="Выполнено"></input>
        {% endif %}
        <small>
            <a class="ref" href="edit/{{ todo.id }}/?page={{ page }}">Редактировать</a>
            <a class="ref" onclick="return send_question('удалить задачу?')"
               href="delete/{{ todo.id }}/?page={{ page }}">Удалить</a>
        </small>
    </div>
    {% endfor %}
</div>


<span class="for-tag-count"> Максимальное количество тудушек на стрaнице:
 <a class="limit" href="search?page={{ page }}&limit=3&tag={{ tag }}&description={{ description }}">3</a>
 <a class="limit" href="search?page={{ page }}&limit=5&tag={{ tag }}&description={{ description }}">5</a>
 <a class="limit" href="search?page={{ page }}&limit=10&tag={{ tag }}&description={{ description }}">10</a>
 <a class="limit" href="search?page={{ page }}&limit=20&tag={{ tag }}&description={{ description }}">20</a>

 </span>


</div>
{% endblock content %}
